@use "@angular/material" as mat;
@import "../../../../styles.scss";

.license-detail-modal {
  width: 610px;
  max-height: 80% !important;
}

.license-detail-modal .upload-image-input {
  border: 1px solid rgba(0, 0, 0, 0.12);
  padding: 3px 5px;
  margin-top: 3px;
}

.drag-drop {
  border: 1px dashed #d5d5d5;
  border-radius: 5px;
  width: auto;
  padding: 15px;
  text-align: left;
}

.license-detail-modal .upload-file-container {
  width: 100%;
}

.license-detail-modal .progress-bar-div {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  position: relative;
  border: 1px solid rgba(0, 0, 0, 0.12);
  font-size: 11px;
  margin-top: 5px;
  float: left;
  width: 100%;
  padding-bottom: 5px;
}

.drag-drop img {
  display: block;
  margin: auto;
}

.drag-drop .destext {
  text-align: center;
  font-size: 16px;
  color: #777;
  padding: 5px 10px;
}

.license-detail-modal .upload-file-container .input-div {
  flex: 1 1 auto;
}

.license-detail-modal .input-div .upload-field {
  margin-top: 4px;
  margin-right: 4px;
}

.license-detail-modal .upload-field {
  position: relative;
  cursor: pointer;
  float: right;
  height: 22px;
  padding: 2px;
  border-radius: 3px;
  background: #fff;
  color: #2b262d;
  border: 1px solid #b1b1b1;
}

.license-detail-modal .upload-image-input {
  border: 1px solid rgba(0, 0, 0, 0.12);
  padding: 3px 5px;
  margin-top: 3px;
}

.license-detail-modal .upload-image-input {
  border: 1px solid rgba(0, 0, 0, 0.12);
  padding: 3px 5px;
  margin-top: 3px;
}

.mdl-textfield__input {
  float: none !important;
  margin-top: 0 !important;
  box-sizing: border-box;
  // width: calc(100% - 85px);
  border: none;
  line-height: 26px;
  font-size: 14px;
  padding: 0;
  color: #666;
}

.upload-error {
  color: red;
}

input[type="file"] {
  opacity: 0;
  position: absolute;
}

#uploadFile,
#publicUploadFile {
  position: relative;
}

.files-list {
  margin-top: 1.5rem;

  .single-file {
    display: flex;
    padding: 0.5rem;
    align-items: center;
    border: 1px dashed #d5d5d5;
    margin-bottom: 1rem;

    img.delete {
      margin-left: 0.5rem;
      cursor: pointer;
    }

    display: flex;
    flex-grow: 1;

    .name {
      font-size: 14px;
      font-weight: 500;
      color: #353f4a;
      margin: 0;
    }

    .size {
      font-size: 12px;
      font-weight: 500;
      color: #a4a4a4;
      margin: 0;
      margin-bottom: 0.25rem;
    }

    .info {
      width: 100%;
    }
  }
}

.fileclose {
  font-size: 12px;
  cursor: pointer;
}

.dialog-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;

  h2 {
    margin: 0;
    text-align: center;
    flex: 1;
    font-size: 16px !important;
    font-weight: 600 !important;
    font-family: "Open Sans", sans-serif !important;
    color: mat.get-color-from-palette($graphene-ui-primary);
  }

  .close-button {
    margin-left: 8px;
  }
}

.upload-txtbox {
  display: none;
}

.drag-drop-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.drop-button {
  border-radius: 21.5px;
  width: 183px;
}

.file-image {
  align-self: flex-start;
  width: 55px;
}

.progress-bar-value-number-container {
  display: flex;
  align-items: center;
  justify-content: center;
}
